org.jboss.shrinkwrap.descriptor.api.connector10

## Interface AuthenticationMechanism<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface AuthenticationMechanism<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `authentication-mechanism` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationMechanism<T>` | `authenticationMechanismType(java.lang.String authenticationMechanismType)` Sets the `authentication-mechanism-type` element
    `AuthenticationMechanism<T>` | `credentialInterface(java.lang.String credentialInterface)` Sets the `credential-interface` element
    `AuthenticationMechanism<T>` | `description(java.lang.String description)` Sets the `description` element
    `java.lang.String` | `getAuthenticationMechanismType()` Returns the `authentication-mechanism-type` element
    `java.lang.String` | `getCredentialInterface()` Returns the `credential-interface` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `AuthenticationMechanism<T>` | `removeAuthenticationMechanismType()` Removes the `authentication-mechanism-type` element
    `AuthenticationMechanism<T>` | `removeCredentialInterface()` Removes the `credential-interface` element
    `AuthenticationMechanism<T>` | `removeDescription()` Removes the `description` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          AuthenticationMechanism<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `AuthenticationMechanism`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          AuthenticationMechanism<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `AuthenticationMechanism`

    - #### authenticationMechanismType

          AuthenticationMechanism<T> authenticationMechanismType(java.lang.String authenticationMechanismType)

      Sets the `authentication-mechanism-type` element
      Parameters:
        `authenticationMechanismType` - the value for the element `authentication-mechanism-type`
      Returns:
        the current instance of `AuthenticationMechanism`

    - #### getAuthenticationMechanismType

          java.lang.String getAuthenticationMechanismType()

      Returns the `authentication-mechanism-type` element
      Returns:
        the node defined for the element `authentication-mechanism-type`

    - #### removeAuthenticationMechanismType

          AuthenticationMechanism<T> removeAuthenticationMechanismType()

      Removes the `authentication-mechanism-type` element
      Returns:
        the current instance of `AuthenticationMechanism`

    - #### credentialInterface

          AuthenticationMechanism<T> credentialInterface(java.lang.String credentialInterface)

      Sets the `credential-interface` element
      Parameters:
        `credentialInterface` - the value for the element `credential-interface`
      Returns:
        the current instance of `AuthenticationMechanism`

    - #### getCredentialInterface

          java.lang.String getCredentialInterface()

      Returns the `credential-interface` element
      Returns:
        the node defined for the element `credential-interface`

    - #### removeCredentialInterface

          AuthenticationMechanism<T> removeCredentialInterface()

      Removes the `credential-interface` element
      Returns:
        the current instance of `AuthenticationMechanism`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)